# Модуль task_mod.py
class Rabotnik:
    def __init__(self, fio, otdel, dolzhnost, oklad):
        self.fio = fio
        self.otdel = otdel
        self.dolzhnost = dolzhnost
        self.oklad = oklad
        self.__pooshreniya = [] # приватный атрибут для хранения поощрений

    def povysit_oklad(self, summa):
            if summa > 0:
                self.oklad += summa
                return f"Оклад повышен на {summa}"
            return "Не повышен"

    def perevod_v_otdel(self, noviy_otdel):
           self.otdel = noviy_otdel

    def izm_dolzhnost(self, new_dolzhnost):
           self.dolzhnost = new_dolzhnost

    def chten_pooshreniy(self):
           return self.__pooshreniya

    def zapis_pooshreniy(self, pooshrenie):
           self.__pooshreniya.append(pooshrenie)

    def udalenie_pooshreniy(self):
           self.__pooshreniya.clear()

    pooshreniya = property(chten_pooshreniy, zapis_pooshreniy, udalenie_pooshreniy)

    def __str__(self):  # автоматически вызывается при print()
        poosh = ', '.join(self.pooshreniya) if self.pooshreniya else 'нет'
        return f"{self.fio}, {self.dolzhnost}, {self.otdel}, оклад: {self.oklad}, поощрения: {poosh}"
